/*
 * Copyright (c) 2003, 2018 Oracle and/or its affiliates. All rights reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0, which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the
 * Eclipse Public License v. 2.0 are satisfied: GNU General Public License,
 * version 2 with the GNU Classpath Exception, which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 */

package javax.xml.rpc.encoding;

/** The javax.xml.rpc.encoding.SerializationContext interface is
 *  implemented by the Jakarta XML RPC runtime system in an XML processing
 *  mechanism specific manner. A serializer uses the 
 *  SerializationContext interface during the serialization to get
 *  the context information related to the XML processing mechanism 
 *  and to manage information specific to serialization.
 *  
 *  @version 1.0
 *  @author  Rahul Sharma
 *  @see javax.xml.rpc.encoding.Serializer
**/

public interface SerializationContext {
}
